
Infrastructure - Story #3159

Update Java on all machines

2012-08-28 14:05 - Dave Vieglais

Status: Closed Start date: 2012-09-05

Priority: Normal Due date: 2012-09-08

Assignee: Dave Vieglais % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Story Points:    

Description

The version of java being used has some known vulnerabilities and should be updated.

There is a script that can build a .deb for the latest version:

https://github.com/flexiondotorg/oab-java6

It generates a local apt repository under /var/local/oab

This has been run on dev-testing, so when ready the .deb packages can be copied from /var/local/oab/deb to /var/www/ubuntu-extra

for distribution to other machines.

The current version is:

java version "1.6.0_34"

Java(TM) SE Runtime Environment (build 1.6.0_34-b04)

Java HotSpot(TM) 64-Bit Server VM (build 20.9-b04, mixed mode)

Subtasks:

Task # 3223: Update Dev environment machines Closed

Task # 3224: Update java on stage machines Rejected

Task # 3227: update mncheck (WebTester machine) Closed

History

#1 - 2012-08-29 20:48 - Dave Vieglais

- Target version set to Sprint-2012.35-Block.5.2

Created a new repository "ubuntu-java" that contains specifically the java package.

Add a new repository to /etc/apt/sources.list:

deb http://mule1.dataone.org/ubuntu-java lucid universe

Then:

apt-get update

apt-get upgrade

to update java on a machine that already has it installed.
#2 - 2012-08-29 20:48 - Dave Vieglais

- Status changed from New to Closed

#3 - 2012-08-29 21:55 - Dave Vieglais

To update the java distribution in the repository,  ssh to mule1.dataone.org and run:

sudo  /usr/local/bin/oab-java.sh

The script will run and update the java distro that is located in /var/local/oab/deb

#4 - 2012-08-31 03:28 - Chris Jones

Finished in sandbox

#5 - 2012-09-05 17:32 - Dave Vieglais

- Status changed from Closed to In Progress

#6 - 2012-09-05 17:32 - Dave Vieglais

- Assignee changed from Chris Jones to Dave Vieglais

#7 - 2012-10-02 19:42 - Dave Vieglais

- Status changed from In Progress to Closed

- Due date set to 2012-09-08

Process is complete.
